Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.basex.query.xquery.expr
Enum Expr.Using

    java.lang.Object
      java.lang.Enum<Expr.Using>
          org.basex.query.xquery.expr.Expr.Using

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Expr.Using>

Enclosing class:
  Expr

    public static enum Expr.Using

extends java.lang.Enum<Expr.Using>

Used types, evaluated by the compiler.

Enum Constant Summary
`POS` Context position.
`VAR` Variable.

Method Summary
`static Expr.Using` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Expr.Using[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### POS

    public static final Expr.Using POS

  Context position.

### VAR

    public static final Expr.Using VAR

  Variable.

Method Detail

### values

    public static Expr.Using[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Expr.Using c : Expr.Using.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Expr.Using valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD